Subject: Re: [PATCH net-next-2.6 v3 00/12] net-caif: introducing CAIF protocol stack

From: Marcel Holtmann <[email-masked]>
Date: Tue, 23 Feb 2010 08:33:07 +0100

Hi Sjur,

> This patch-set introduces the CAIF protocol Stack.
> The "Communication CPU to Application CPU Interface" (CAIF) is a packet based
> connection-oriented MUX protocol developed by ST-Ericsson for use with its
> modems.
> 
> 
> CHANGE LOG:
> Based on review comments from David Miller and Marcel Holtmann on the 
> previous patch set submitted the 16 February the following changes
> have been done:
> - Removed ifdef __cplusplus from caif_socket.h
> - Use socket level SOL_IP for socket options SO_PRIORITY and SO_BINDTODEVICE

are you sure it is not better to use SOL_SOCKET here. At least according
to man 7 socket this would make a lot more sense. My point in actually
using SO_PRIORITY and SO_BINDTODEVICE is to use standard socket options
that are already used by everybody else. So they know what to expect.

Regards

Marcel